Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.system
Class NativeCommand

    java.lang.Object
      org.apache.jmeter.protocol.system.NativeCommand

    public class NativeCommand

extends Object

Native Command

Constructor Summary
`NativeCommand(File directory, Map<String,String> env)`
`NativeCommand(File directory, Map<String,String> env, String stdin, String stdout, String stderr)`

Method Summary
`Map<String,String>` | `getExecutionEnvironment()`
`String` | `getOutResult()`
`int` | `run(List<String> arguments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeCommand

    public NativeCommand(File directory,
                         Map<String,String> env)

Parameters:
  `env` - Environment variables appended to environment
  `directory` - File working directory

### NativeCommand

    public NativeCommand(File directory,
                         Map<String,String> env,
                         String stdin,
                         String stdout,
                         String stderr)

Parameters:
  `env` - Environment variables appended to environment
  `directory` - File working directory
  `stdin` - File name that will contain data to be input to process
  `stdout` - File name that will contain out stream
  `stderr` - File name that will contain err stream

Method Detail

### run

    public int run(List<String> arguments)
            throws InterruptedException,
                   IOException

  Parameters:
    `arguments` - List
  Returns:
    return code
  Throws:
    `InterruptedException`
    `IOException`

### getOutResult

    public String getOutResult()

  Returns:
    Out/Err stream contents

### getExecutionEnvironment

    public Map<String,String> getExecutionEnvironment()

  Returns:
    the executionEnvironment

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.